Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706604 - www-client/w3mmee-0.3.2_p24-r12 : fails to build with -fno-common or gcc-10
Summary: www-client/w3mmee-0.3.2_p24-r12 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: CJK Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 02:51 UTC by Toralf Förster
Modified: 2020-06-16 14:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.41 KB, text/plain)
2020-01-27 02:51 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,124.25 KB, text/plain)
2020-01-27 02:51 UTC, Toralf Förster
Details
environment (environment,51.16 KB, text/plain)
2020-01-27 02:51 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.83 KB, application/x-bzip)
2020-01-27 02:51 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,17.80 KB, application/x-bzip)
2020-01-27 02:51 UTC, Toralf Förster
Details
www-client:w3mmee-0.3.2_p24-r12:20200127-001300.log (www-client:w3mmee-0.3.2_p24-r12:20200127-001300.log,22.36 KB, text/plain)
2020-01-27 02:51 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 02:51:32 UTC
a - entity.o
a - conv.o
ranlib libindep.a
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -I/usr/include -DGC_VERSION=800004  -I/usr/include/openssl -I/usr/include  -DHAVE_MOE -I/usr/include/moe -I.    -Wl,-O1 -Wl,--as-needed -o w3mmee main.o file.o ipc.o buffer.o display.o etc.o search.o linein.o table.o local.o form.o map.o frame.o rc.o menu.o mailcap.o func.o cookie.o history.o backend.o keybind.o terms.o conv.o url.o ftp.o anchor.o mimehead.o parsetagx.o istream.o version.o -L. -lindep -lbsd -lnsl   -L/usr/lib64 -lmoe  -L/usr/lib64 -lgc  -L/usr/lib64 -lpthread -lm -ltinfo -L/usr/lib64  -lssl -lcrypto 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: rc.o:(.bss+0x1e0): multiple definition of `browsecap_entries'; main.o:(.bss+0x2a0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: rc.o:(.bss+0x200): multiple definition of `mailcap_entries'; main.o:(.bss+0x2d0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 23:46:11 +0000

emerge -qpvO www-client/w3mmee
[ebuild  N    ] www-client/w3mmee-0.3.2_p24-r12  USE="nls ssl -gpm -libressl"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 02:51:35 UTC
Created attachment 605094 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 02:51:37 UTC
Created attachment 605096 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 02:51:40 UTC
Created attachment 605098 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 02:51:42 UTC
Created attachment 605100 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 02:51:45 UTC
Created attachment 605102 [details]
temp.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 02:51:48 UTC
Created attachment 605104 [details]
www-client:w3mmee-0.3.2_p24-r12:20200127-001300.log
Comment 7 Larry the Git Cow gentoo-dev 2020-06-16 14:20:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cbb72d72215c830304bbef32c9212d24e7cd250

commit 1cbb72d72215c830304bbef32c9212d24e7cd250
Author:     Akinori Hattori <hattya@gentoo.org>
AuthorDate: 2020-06-16 14:19:50 +0000
Commit:     Akinori Hattori <hattya@gentoo.org>
CommitDate: 2020-06-16 14:19:50 +0000

    www-client/w3mmee: fix build with >=sys-devel/gcc-10
    
    Closes: https://bugs.gentoo.org/706604
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Akinori Hattori <hattya@gentoo.org>

 www-client/w3mmee/files/w3mmee-gcc-10.patch   | 17 +++++++++++++++++
 www-client/w3mmee/w3mmee-0.3.2_p24-r12.ebuild |  1 +
 2 files changed, 18 insertions(+)